GuidesAPI Reference
API Reference

Simple and fast search for geometries on HERE Map Content layers, extensible with custom geometry layers

Simple and fast search for geometries on HERE Map Content layers, extensible with custom geometry layers

Query Params
string
required

Comma-separated list of layers to search, with layer names being case-insensitive.

  • Both custom layers and Map Attribute core map layers are supported.
  • Map Attribute layers categorized by functional class, like ROAD_GEOM_FC1 to FC5, can be selected by using FCN notation, e.g. ROAD_GEOM_FCN.
  • The maximum length of a layer name and the permitted characters can be looked up in the service via /v8/maps/serviceconfiguration.
  • Using the attributes parameter specific column attributes from a layer can be returned.
string
required

Spatial filtering for multi layer search. For GET requests supported filter type is point with radius.

  • Example: in=point:41.93,12.43;r=40
  • Multipoint search is supported only via POST request with filter type assetPositions
string

A SQL expression which is evaluated for each geometry returned from the specified layer list.

  • Columns values for each geometry are available as predefined variables.
  • When an expression is specified, only geometries where the expression evaluates to true are returned.
  • Supported SQL filter operators include: =, !=, >, <, AND, OR and LIKE.
  • Example: filter=RATING > 3 AND NAME != 'MyPlace23' AND NAME LIKE 'FOOD%'.
  • Parameter value must be url encoded when using special characters.
  • This filter applies to all geometries and may be slow for large layers. To avoid service overload, filter expressions should not exceed 100 characters.
  • The filter is applied across all objects from specified layers, so it is most effective when a single layer is requested.
string
Defaults to 1

When set to 1, then meta info is returned in the response.

string

A Semicolon-separated list of column names (in uppercase) to indicate which attributes will be included in the results.

  • If the request specifies several layers, then pass attributes for each layer as a comma separated list.
  • Default includes all columns from each layer.
  • Example if &layers=LINK_ATTRIBUTE2_FCn,LINK_ATTRIBUTE_FCn,ROAD_GEOM_FCn are requested, then the columns can be restricted to only following &attributes=PARKING_LOT_ROAD;CARPOOL_ROAD,PAVED;PRIVATE,BRIDGE;TUNNEL.* PARKING_LOT_ROAD and CARPOOL_ROAD are from layer LINK_ATTRIBUTE2_FCn, PAVED and PRIVATE from LINK_ATTRIBUTE_FCn, BRIDGE and TUNNEL from ROAD_GEOM_FCn layer.
string

Optional. Map in which the specific layer or layers exist, which will be accessed to retrieve the layer content. If parameter is not specified, the behavior is: search in the default map where all custom layers are stored, which were created without mapName in upload/modify request.

string

Optional. Identifier for the asset. If provided, the response will contain the assetId.

  • The maximum length of an asset id and the permitted characters can be looked up in the service via /v8/maps/serviceconfiguration.
string

Owner app_id that was used to upload a layer. It is mandatory when a granted app_id is used to access the layer.

Response

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json;charset=UTF-8